
/* For All Pages */
.topbar {
    margin: 0;
    display: flex;
    align-items: center;
    height: 7%;
    width: 100%;
    background: hsl(125, 17%, 40%);
    box-shadow: 0 0 10px grey;
    position: fixed;
    top: 0;
    transition: opacity 0.3s; /* Add a transition effect for smooth visibility */
    z-index: 2;
}
.topbartext {
    margin-left: 1%;
    font-size: 125%;
    color: white;
}

.title {
    text-align: center;
    font-size: 250%;
    margin-top: 75px;
}


/* For Home Page */

/* Media query for smaller screens */
@media only screen and (max-width: 600px) {
    #images {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    #mainimage {
        width: 80%;
        object-fit: cover;
        border-radius: 7%;
    }
    
    #image-grid {
        width: 80%;
    }
}

/* Media query for larger screens */
@media only screen and (min-width: 601px) {
    #images {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    #mainimage {
        margin-left: auto;
        width: 40%;
        object-fit: cover;
        border-radius: 7%;
    }
    
    #image-grid {
        margin-left: .5%;
        margin-right: auto;
        width: 40%;
    }
}

img.imagecell {
    width: 100%;
    height: auto;
    margin: 0;
    border-radius: 7%;
}

.imagecell {
    position: relative;
    z-index: 0;
    width: 10%;
    object-fit: cover;
}

#seeMoreLink {
    position: absolute;
    right: 1%;
    bottom: 0;
    width: 40%;
}

#seeMoreLink:hover {
    filter: contrast(50%)
}

#seeMoreLink img{
    width: 100%;
    height: auto;
}

#Information {
    margin-top: 3%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

div.BasicInfoContainer {
    display: flex;
    flex-direction: column;
    margin-right: 2%;
}

iframe.BasicInfoContainer {
    width: 100%;
}

ul.BasicInfoContainer {
    margin-top: 2px;
}

h4.BasicInfoContainer{
    margin-top: 40px;
    margin-bottom: 2px;
}

h2.BasicInfoContainer {
    font-size: 20px;
}

div.SynopsisPreview {
    display: flex;
    flex-direction: column;
    width: 40%;
    border: 1px solid black;
    border-radius: 10px;
    box-shadow: 0 0 10px grey;
    padding: .5%;
    margin-bottom: 2%;
}

h2.SynopsisPreview {
    font-size: 220%;
}

/* Media query for smaller screens */
@media only screen and (max-width: 600px) {
    p.SynopsisPreview {
        font-size: 80%;
    }
}

/* Media query for larger screens */
@media only screen and (min-width: 601px) {
    p.SynopsisPreview {
        font-size: 200%;
    }
}

em.SynopsisPreview {
    font-style: normal;
    font-weight: bold;
}


/* For About Page */

/* Media query for smaller screens */
@media only screen and (max-width: 600px) {
    .synopsis {
        margin-left: 5%;
        margin-right: 5%;
        font-size: 100%;
    }
    
    h2.synopsis{
        font-size: 120%;
    }
}

/* Media query for larger screens */
@media only screen and (min-width: 601px) {
    .synopsis {
        margin-left: 20%;
        margin-right: 20%;
        font-size: 180%;
    }
    
    h2.synopsis{
        font-size: 200%;
    }
}


/* For Reservation Page */

/* Media query for smaller screens */
@media only screen and (max-width: 600px) {
    section.reservationRequest {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    iframe.reservationRequest {
        width: 100%;
    }
}

/* Media query for larger screens */
@media only screen and (min-width: 601px) {
    section.reservationRequest {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    iframe.reservationRequest {
        width: 100%;
    }
}